curl -X GET 'https://api.example.com/scopes/scope_org/children' \
-H 'Authorization: Bearer YOUR_TOKEN'
const axios = require('axios');
const { data } = await axios.get('https://api.example.com/scopes/scope_org/children', {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
[
{
"id": "scope_team_1",
"name": "Engineering Team",
"typeId": "type_team"
},
{
"id": "scope_team_2",
"name": "Marketing Team",
"typeId": "type_team"
}
]
Scopes
Get Child Scopes
Retrieve all child scopes of a parent scope
GET
/
scopes
/
{id}
/
children
curl -X GET 'https://api.example.com/scopes/scope_org/children' \
-H 'Authorization: Bearer YOUR_TOKEN'
const axios = require('axios');
const { data } = await axios.get('https://api.example.com/scopes/scope_org/children', {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
[
{
"id": "scope_team_1",
"name": "Engineering Team",
"typeId": "type_team"
},
{
"id": "scope_team_2",
"name": "Marketing Team",
"typeId": "type_team"
}
]
Path Parameters
string
required
The parent scope ID
Response
Returns an array of child scope objects.array
curl -X GET 'https://api.example.com/scopes/scope_org/children' \
-H 'Authorization: Bearer YOUR_TOKEN'
const axios = require('axios');
const { data } = await axios.get('https://api.example.com/scopes/scope_org/children', {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
[
{
"id": "scope_team_1",
"name": "Engineering Team",
"typeId": "type_team"
},
{
"id": "scope_team_2",
"name": "Marketing Team",
"typeId": "type_team"
}
]
Was this page helpful?
⌘I